<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link " routerLink="../principal">Inicio </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link active" routerLink="../empleados">Empleados</a>
      </li>
      <li class="nav-item">
        <a class="nav-link " routerLink="../contratos">Contratos</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../servicios">Servicios
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->

<section class="bg-light first-section">
  <div class="container">
    <button mat-raised-button color="primary" style="float: right; margin-top: 20px;"
      (click)="mostrarModalNuevoEmpleado()">Agregar Empleados</button>
    <ng-template [ngIf]="empleados!=null">
      <mat-form-field class="filter">
        <mat-label>Filter</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
      </mat-form-field>
      <table mat-table [dataSource]="dataSource" multiTemplateDataRows class="mat-elevation-z8"
        style="    overflow-x: auto;">
        <ng-container matColumnDef="{{column}}" *ngFor="let column of columnsToDisplay">
          <th mat-header-cell *matHeaderCellDef> {{column}} </th>
          <td mat-cell *matCellDef="let element"> {{element[column]}} </td>
        </ng-container>

        <!-- Expanded Content Column - The detail row is made up of this one column that spans across all columns -->

        <ng-container matColumnDef="expandedDetail">
          <td mat-cell *matCellDef="let element" [attr.colspan]="columnsToDisplay.length">
            <div class="table-detail" [@detailExpand]="element == expandedElement ? 'expanded' : 'collapsed'">
              <div class="table-diagram">
                <div class="table-buttons">
                  <button mat-raised-button color="primary"
                    (click)="abrirModalHabilidades(element.id_usuario)">Habilidades</button>
                </div>
              </div>
              <div class="table-description">
                Email: {{element.email_usuario}}<br>
                RFC: {{element.rfc_usuario}}<br>
                Nombre completo: {{element.nombre_usuario}} {{element.ap_paterno_usuario}}
                {{element.ap_materno_usuario}}<br>
                Fecha ingreso: {{element.fecha_ingreso_usuario | date: 'dd/MM/yyyy'}}<br>
                Fecha nacimiento: {{element.fecha_nacimiento_usuario | date: 'dd/MM/yyyy'}}
              </div>
            </div>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let element; columns: columnsToDisplay;" class="table-row"
          [class.example-expanded-row]="expandedElement === element"
          (click)="expandedElement = expandedElement === element ? null : element">
        </tr>
        <tr mat-row *matRowDef="let row; columns: ['expandedDetail']" class="example-detail-row"></tr>
      </table>
    </ng-template>
    <div class="modal " id="myModal" [style.display]="showModalHabilidades ? 'block' : 'none'">
      <div class="modal-dialog big-modal">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Habilidades de empleado</h5>
            <button type="button" class="close" aria-label="Close" (click)="cerrarModalHabilidad()">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <ng-template [ngIf]="habilidadesEmpleado!=null">
              <div class="row">
                <div class="col-6">
                  <mat-list>
                    <ng-container *ngFor="let habilidad of habilidadesEmpleado">
                      <mat-list-item><button mat-icon-button color="warn" aria-label="Eliminar"
                          (click)="quitarHabilidad(habilidad.id_habilidad)">
                          <mat-icon>delete</mat-icon>
                        </button> {{habilidad.nombre_habilidad}} ${{habilidad.precio_habilidad | number: '0.2-2'}}
                      </mat-list-item>

                      <span style="margin-left: 5%;">{{habilidad.descripcion_habilidad}}</span>
                    </ng-container>
                  </mat-list>
                </div>
                <div class="col-6">
                  <ng-container *ngFor="let check of checkList">
                    <mat-checkbox [(ngModel)]="check.check" (change)="checkHabilidad(check.id_habilidad)">
                      {{check.nombre_habilidad}}
                    </mat-checkbox><br>
                  </ng-container>

                </div>
              </div>
            </ng-template>

          </div>
          <div class="modal-footer">
            <button type="button" mat-raised-button color="primary" (click)="cerrarModalHabilidad()">Cerrar</button>

          </div>
        </div>
      </div>
    </div>

    <div class="modal " id="myModal2" [style.display]="showModalNuevoEmpleado ? 'block' : 'none'">
      <div class="modal-dialog big-modal">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title">Nuevo Empleado</h5>
            <button type="button" class="close" aria-label="Close" (click)="cerrarModalNuevoEmpleado()">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-4">
                <label for="file2" style="display: flex;">
                  <ng-template [ngIf]="imgURL1!=null" [ngIfElse]="imgpred2">
                    <img [src]="imgURL1" alt="assets/images/fondo1.jpg" style="width: 100%;">
                  </ng-template>
                  <ng-template #imgpred2>
                    <img src="assets/images/addImage.png" style="width: 100%;">
                  </ng-template>

                </label>
                <input type="file" id="file2" accept="image/x-png,image/jpeg,image/jpg"
                  (change)="handleFileInput($event.target.files)" hidden>
              </div>
              <div class="col-8">
                <form method="POST" class="appointment-form" id="frmRegister" [formGroup]="FormGroupNuevoEmpleado"
                  (ngSubmit)="nuevoEmpleado(FormGroupNuevoEmpleado)">

                  <div class="form-group-1">
                    <div class="row">
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Nombre</mat-label>
                          <input matInput formControlName="nombre" id="nombre" placeholder="Ex. Pablo" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Apellido Paterno</mat-label>
                          <input matInput formControlName="ap_paterno" id="ap_paterno" placeholder="Ex. Ibarra"
                            required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Apellido Materno</mat-label>
                          <input matInput formControlName="ap_materno" id="ap_materno" placeholder="Ex. Gonzalez"
                            required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Correo</mat-label>
                          <input type="email" matInput formControlName="email" id="email"
                            placeholder="Ex. example@gmail.com" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Contraseña</mat-label>
                          <input type="password" matInput formControlName="password" id="password"
                            placeholder="8 caracteres al menos" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Confirmar contraseña</mat-label>
                          <input type="password" matInput formControlName="password2" id="password2"
                            placeholder="8 caracteres al menos" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Telefono de casa</mat-label>
                          <input matInput formControlName="telefono" id="telefono" placeholder="Ex. 024456697" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Celular</mat-label>
                          <input matInput formControlName="celular" id="celular" placeholder="Ex. 8717818282" required>
                        </mat-form-field>
                      </div>
                      <div class="col-12 col-md-4">
                        <mat-form-field>
                          <mat-label>Fecha de nacimiento</mat-label>
                          <input matInput [matDatepicker]="picker" readonly (click)="picker.open()"
                            formControlName="fecha_nac" required>
                          <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                          <mat-datepicker #picker startView="multi-year"></mat-datepicker>
                        </mat-form-field>
                      </div>
                    </div>
                  </div>
                  <div class="form-submit">
                    <button type="submit" mat-raised-button color="primary" style="float: right;">Agregar
                      Empleado</button>
                  </div>
                </form>
              </div>
            </div>


          </div>
          <div class="modal-footer">
            <button type="button" mat-raised-button color="primary" (click)="cerrarModalNuevoEmpleado()">Cerrar</button>

          </div>
        </div>
      </div>
    </div>
  </div>
</section>